@echo off
choice /c:yn "Start REMHOST using COM1, remote floppy/display/keyboard "
if not errorlevel 2 goto std_settings

rem Delete existing REMHOST parameter file
rem --------------------------------------
if not exist remhost.usr goto nodel
del remhost.usr
:nodel

rem Ask for REMHOST user settings
rem -----------------------------
echo Set REMHOST parameters:
choice /c:1234 "Select COM port for remote connection "
if errorlevel 4 goto com4
if errorlevel 3 goto com3
if errorlevel 2 goto com2
echo PORT=1 >>remhost.usr
goto select_floppy
:com4
echo PORT=4 >>remhost.usr
goto select_floppy
:com3
echo PORT=3 >>remhost.usr
goto select_floppy
:com2
echo PORT=2 >>remhost.usr
goto select_floppy

:select_floppy
choice /c:yn "Use floppy of remote PC "
if errorlevel 2 goto select_display
echo FLOPPY >>remhost.usr

:select_display
choice /c:yn "Use display of remote PC "
if not errorlevel 2 goto select_keyb
echo NOVIDEO >>remhost.usr

:select_keyb
choice /c:yn "Use keyboard of remote PC "
if not errorlevel 2 goto usr_settings
echo NOKEYB >>remhost.usr

:usr_settings
rem Start REMHOST with user settings
rem --------------------------------
echo Starting REMHOST with user settings...
remhost.exe remhost.usr
goto end

:std_settings
rem Start REMHOST
rem -------------
echo Starting REMHOST...
remhost.exe
goto end

:end
cls